
Katello - Bug #5913

Redirect loop on Bastion pages when setting any context on an org after having one selected

05/23/2014 01:47 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Steps to Reproduce

1. Select an org

2. Go to a Bastion page

3. Select "any context"

4. Note redirect loop

Associated revisions

Revision a304c2fe - 05/23/2014 09:59 AM - Walden Raines

Fixes #5913, BZ1093601 let org-switcher clear URLs pass through bastion.

See also PR #4137 which only allowed org/location selection URLs

to pass through bastion.  This adds org/location "clear" URLs as well.

Revision 3a3992fc - 05/23/2014 01:59 PM - Walden Raines

Fixes #5913, BZ1093601 let org-switcher clear URLs pass through bastion.

See also PR #4137 which only allowed org/location selection URLs

to pass through bastion.  This adds org/location "clear" URLs as well.

Revision 3d8709f2 - 05/23/2014 02:25 PM - Walden Raines

Merge pull request #4148 from waldenraines/5913

Fixes #5913, BZ1093601 let org-switcher clear URLs pass through bastion.

History

#1 - 05/23/2014 01:47 PM - Walden Raines

- Assignee set to Walden Raines

#2 - 05/23/2014 02:00 PM - Walden Raines

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4148

#3 - 05/23/2014 02:52 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:3a3992fc19d6a59ebe637a509f5da076096407c2.

#4 - 06/06/2014 01:09 PM - Eric Helms
https://github.com/Katello/katello/pull/4148


- Triaged changed from No to Yes

#5 - 08/22/2014 08:27 AM - Eric Helms

- translation missing: en.field_release set to 13
